global function placeExoPlanetObjects

void function placeExoPlanetObjects()
{
    CreateNessy( <1594, -2307, 493>, <0, 60, 0>, 8 )
    CreateSimpleButton( < -30, -1398, 0 >, <0, 180, 0>, "to release a prowler", Callback_ButtonTriggered )

    CreatePhaseTeleporter( < -737.05, -2814.75, -351.969 >, <1453.61, -4251.59, -205.969> )
}

void function Callback_ButtonTriggered( entity button, entity player )
{
    entity mover = CreateScriptMover( <147.705, -1467.56, -400> )

    entity prowler = CreateNPC( "npc_prowler", 4, mover.GetOrigin(), <0,0,0>)
    SetSpawnOption_AISettings( prowler, "npc_prowler")
    DispatchSpawn( prowler )
    prowler.SetParent( mover )

    if ( RandomInt( 100 ) == 80 )
        prowler.SetTitle( "cat" )

    mover.NonPhysicsMoveTo( mover.GetOrigin() + <0,0,200>, 0.5, 0.1, 0.1 )

    thread Callback_ButtonTriggeredThreaded( mover, prowler )
    
}

void function Callback_ButtonTriggeredThreaded( entity mover, entity prowler )
{
    wait 1
    
    if ( IsValid( prowler ) )
        prowler.ClearParent()
    if ( IsValid( mover ) )
        mover.Destroy()
}